buffer_putsaflush(3)

NAME
buffer_putsa - write stralloc to buffer and flush

SYNTAX
#include <libowfat/stralloc.h>
#include <libowfat/buffer.h>
int buffer_putsaflush(buffer* b,const stralloc* x);

DESCRIPTION
buffer_putsaflush is equivalent to buffer_putflush(b,x.s,x.len).

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
buffer_puts(3), buffer_flush(3), buffer(3)